#!/bin/bash

if [ $# -ne 1 ]
then
	echo "Usage : $0 <OplStudio installation location>"
	echo "The installation location is the directory in which the \"oplide\" executable file is located. It should look like '.../CPLEX_XXX/opl/oplide/'."
	exit 1
fi

if [ ! -e "$1/oplide" ]
then
	echo "OPL Studio not found at location $1 !"
	echo "Cancelling installation."
	exit 1
fi

pathopl=$1
echo "Copying files to $pathopl..."
mkdir -p "$pathopl/plugins"
cp -r plugins "$pathopl"
if [ $? -ne 0 ]
then
	echo "Error during file copy : plugin. Aborting installation."
	exit 1
fi
mkdir -p "$pathopl/features"
cp -r features "$pathopl"
if [ $? -ne 0 ]
then
	echo "Error during file copy : feature. Aborting installation."
	exit 1
fi
echo "Caseine plugin for OPL Studio successfully installed !"
exit 0
