#!/bin/bash

echo "Searching for OPL Studio..."
pathopl=$(mdfind "kind:app oplide.app")
if [ $? -ne 0 ]
then
	echo "OPL Studio not found ! Cancelling installation."
	exit 1
else
	cd “$(dirname “${BASH_SOURCE[0]}”)”
	echo "Found at : $pathopl"
	pathopl=$(dirname $pathopl)
	echo "Copying files to $pathopl..."
	mkdir -p "$pathopl/plugins"
	cp -r plugins "$pathopl"
	if [ $? -ne 0 ]
	then
		echo "Error during file copy : plugin. Aborting installation."
		exit 1
	fi
	mkdir -p "$pathopl/features"
	cp -r features "$pathopl"
	if [ $? -ne 0 ]
	then
		echo "Error during file copy : feature. Aborting installation."
		exit 1
	fi
fi
echo "Caseine plugin for OPL Studio successfully installed !"
exit 0
